Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fujitsu.iflow.common
Class ProcessEditStruct

    java.lang.Object
      com.fujitsu.iflow.common.ProcessEditStruct

All Implemented Interfaces:
  java.io.Serializable

public final class ProcessEditStruct
extends java.lang.Object
implements java.io.Serializable

Class used for structural edit on ProcessInstance. The main data members of this class is ProcessInstanceStruct and server queues. This class stores all the processinstance structural edit information and when the request for commits happens, this entire object is passed to the server to commit the structural editing.

See Also:
  Serialized Form

Field Summary
`ActDeactStateStruct[]` | `actDeactState`
`java.util.Hashtable` | `attachments`
`static int` | `COMMIT_PROCDEF`
`static int` | `CREATE_PROCDEF`
`boolean` | `dataSetModified`
`long[]` | `deletedActivityId`
`long[]` | `deletedTimerInstId`
`static int` | `IGNORE_PROCDEF`
`long[]` | `modifiedActivityId`
`int` | `ProcDefModificationState`
`ProcessDefinitionStruct` | `procDefStruct`
`boolean` | `processStructureModified`
`ProcessInstanceStruct` | `procInstStruct`
`java.util.Hashtable` | `timerIdMap`

Constructor Summary
`ProcessEditStruct()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### IGNORE_PROCDEF

    public static final int IGNORE_PROCDEF

See Also:
  Constant Field Values

### COMMIT_PROCDEF

    public static final int COMMIT_PROCDEF

See Also:
  Constant Field Values

### CREATE_PROCDEF

    public static final int CREATE_PROCDEF

See Also:
  Constant Field Values

### procInstStruct

    public ProcessInstanceStruct procInstStruct

### procDefStruct

    public ProcessDefinitionStruct procDefStruct

### ProcDefModificationState

    public int ProcDefModificationState

### deletedActivityId

    public long[] deletedActivityId

### modifiedActivityId

    public long[] modifiedActivityId

### deletedTimerInstId

    public long[] deletedTimerInstId

### actDeactState

    public ActDeactStateStruct[] actDeactState

### dataSetModified

    public boolean dataSetModified

### processStructureModified

    public boolean processStructureModified

### attachments

    public java.util.Hashtable attachments

### timerIdMap

    public java.util.Hashtable timerIdMap

Constructor Detail

### ProcessEditStruct

    public ProcessEditStruct()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD